//
//  MyWindow.m
//  CGSSecrets
//
//  Created by Dave Jewell on 06/02/2009.
//  Copyright 2009 Cocoa Secrets. All rights reserved.
//

#import "MyWindow.h"
#import "NSWindow(CGSSecrets).h"

@interface NSApplication()
- (void) speakString: (NSString *) string;						// NSApp speaks!
@end

@implementation MyWindow

- (IBAction) flipIt: (id) sender
{
	[self flipWithDuration: 0.5 forwards: YES];
	[NSApp speakString: @"That's flipping cool"];				// Sorry....couldn't resist :-)
}

- (IBAction) sayCheese: (id) sender
{
	// Flash-gun effects for taking photos - these should probably be in CGSPrivate.h as well...
	extern void CGDisplayDefaultVisualBell ();
	extern void CGDisplayVisualBell (float riseTime, float sustainTime, float fallTime, float saturation, float r, float g, float b); 
	
	// Display the visual bell (bell-shaped curve) to simulate a
	CGDisplayVisualBell (0.04, 0.2, 0.24, 1.0, 1.0, 1.0, 1.0);
	[NSApp speakString: @"Cheese"];	
}

@end
